def solution(L, W, k):
  """
  Возвращает минимальное количество фонарей, необходимое для освещения площади размером L * W,
  где каждый фонарь освещает квадрат k * k метров.

  Args:
    L: Длина площади.
    W: Ширина площади.
    k: Длина стороны квадрата, освещаемого фонарем.

  Returns:
    Минимальное количество фонарей.
  """

  if L % k != 0:
    L += k - L % k
  if W % k != 0:
    W += k - W % k
  return (L // k) + (W // k)


if _name_ == "_main_":
  L, W, k = map(int, input().split())
  print(solution(L, W, k))
